Subject: mAnnouncer bug? (was Re: Bug in current sdr implementation ?)

From: Mark Courtenay <[email-masked]>
Date: Sun, 29 Jun 1997 16:06:28 +0100

It seems possible that the bogus announcements being generated from this
site (the ones causing sdr to crash, not the duplicates of other
announcements around the Mbone) may be caused by the list of session
files that mAnnouncer was invoked to announce including a (Unix file
system) directory.

The mAnnouncer distribution includes the following files/directories:

drwxrwxr-x peppar/cdt  0 May 2 17:29 1997 mAnnouncer.1.1.1/sessions/CVS/
-rw-rw-r-- peppar/cdt 30 May 2 17:29 1997 mAnnouncer.1.1.1/sessions/CVS/Root
-rw-rw-r-- peppar/cdt 54 May 2 17:29 1997 mAnnouncer.1.1.1/sessions/CVS/Repository
-rw-rw-r-- peppar/cdt  0 May 2 17:29 1997 mAnnouncer.1.1.1/sessions/CVS/Entries

It's an understandable mistake not to realise that these aren't
actually useful to mAnnouncer at all (at least that's my understanding)
and, it seems, actually cause undesirable behaviour.

Hopefully we should be able to confirm this later, but in the meantime,
has anyone else identified this as a problem?

Mark

-- 
J Mark Courtenay                    tel. +44 1473 645423
B29/129                             fax. +44 1473 640709
BT Labs, Martlesham Heath
Ipswich, UK IP5 7RE                 [email-masked]